<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_FFF1F2F5">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/nsv_content"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_bg"
                android:layout_width="0dp"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="750:1492"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/share_poster_shot_bg" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_top"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:paddingHorizontal="16dp"
                android:paddingTop="12.5dp"
                app:layout_constraintBottom_toBottomOf="@id/iv_bg"
                app:layout_constraintDimensionRatio="686:870"
                app:layout_constraintEnd_toEndOf="@id/iv_bg"
                app:layout_constraintStart_toStartOf="@id/iv_bg"
                app:layout_constraintTop_toTopOf="@id/iv_bg"
                app:layout_constraintVertical_bias="0.18"
                app:layout_constraintWidth_percent="0.91">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:fontFamily="@font/poppins_semibold"
                    android:includeFontPadding="false"
                    android:singleLine="true"
                    android:textColor="@color/color_FF1D2129"
                    android:textSize="18sp"
                    app:layout_constrainedWidth="true"
                    app:layout_constraintEnd_toStartOf="@id/v_gender"
                    app:layout_constraintHorizontal_bias="0"
                    app:layout_constraintHorizontal_chainStyle="packed"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:text="Super Beautiful Girl Super Beautiful Girl Super Beautiful Girl" />

                <com.adealink.weparty.module.profile.widget.GenderView
                    android:id="@+id/v_gender"
                    style="@style/CommonGenderView"
                    android:layout_marginEnd="24dp"
                    app:layout_constraintBottom_toBottomOf="@id/tv_name"
                    app:layout_constraintEnd_toStartOf="@id/v_barrier_end"
                    app:layout_constraintStart_toEndOf="@id/tv_name"
                    app:layout_constraintTop_toTopOf="@id/tv_name" />

                <androidx.constraintlayout.widget.Barrier
                    android:id="@+id/v_barrier_end"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:barrierDirection="start"
                    app:constraint_referenced_ids="iv_evaluate_star" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_evaluate_star"
                    android:layout_width="18dp"
                    android:layout_height="18dp"
                    app:layout_constraintBottom_toBottomOf="@id/tv_name"
                    app:layout_constraintEnd_toStartOf="@id/tv_evaluate"
                    app:layout_constraintTop_toTopOf="@id/tv_name"
                    app:srcCompat="@drawable/common_evaluate_star_selected_ic" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_evaluate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/poppins_semibold"
                    android:includeFontPadding="false"
                    android:textColor="@color/color_FF1D2129"
                    android:textSize="18sp"
                    app:layout_constraintBottom_toBottomOf="@id/tv_name"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="@id/tv_name"
                    tools:text="4.2" />

                <com.adealink.frame.image.view.NetworkImageView
                    android:id="@+id/iv_photo"
                    android:layout_width="0px"
                    android:layout_height="0px"
                    android:layout_marginTop="9.5dp"
                    app:layout_constraintDimensionRatio="1:1"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@id/tv_name"
                    app:roundedCornerRadius="20dp" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_summary"
                    android:layout_width="0px"
                    android:layout_height="wrap_content"
                    android:gravity="start"
                    android:includeFontPadding="false"
                    android:paddingHorizontal="12dp"
                    android:paddingVertical="8dp"
                    android:textColor="@color/color_FF4E5969"
                    android:textSize="14sp"
                    app:layout_constrainedHeight="true"
                    app:layout_constrainedWidth="true"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="@id/iv_photo"
                    app:layout_constraintStart_toStartOf="@id/iv_photo"
                    app:layout_constraintTop_toBottomOf="@id/iv_photo"
                    tools:text="Hello brother, multiple seasons of S, online，tiple seasons of S, online，" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/cl_bottom"
                android:layout_width="0dp"
                android:layout_height="0dp"
                app:layout_constraintDimensionRatio="343:100"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/cl_top"
                app:layout_constraintWidth_percent="0.91">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="42dp"
                    android:layout_height="22dp"
                    android:layout_marginStart="-10dp"
                    android:layout_marginTop="-2dp"
                    app:layout_constraintStart_toStartOf="@id/tv_game_title"
                    app:layout_constraintTop_toTopOf="@id/tv_game_title"
                    app:srcCompat="@drawable/share_poster_game_title_bg" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_game_title"
                    android:layout_width="60dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="6dp"
                    android:ellipsize="end"
                    android:fontFamily="@font/poppins_semibold"
                    android:gravity="start"
                    android:includeFontPadding="false"
                    android:text="@string/share_share_poster_game_title"
                    android:textColor="@color/color_FF1D2129"
                    android:textSize="14sp"
                    app:layout_constrainedWidth="true"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintEnd_toStartOf="@id/v_game_1"
                    app:layout_constraintHorizontal_bias="0"
                    app:layout_constraintHorizontal_chainStyle="spread"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <include
                    android:id="@+id/v_game_1"
                    layout="@layout/layout_share_poster_game_item"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@id/v_game_2"
                    app:layout_constraintStart_toEndOf="@id/tv_game_title"
                    app:layout_constraintTop_toTopOf="parent" />

                <include
                    android:id="@+id/v_game_2"
                    layout="@layout/layout_share_poster_game_item"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toStartOf="@id/v_game_3"
                    app:layout_constraintStart_toEndOf="@id/v_game_1"
                    app:layout_constraintTop_toTopOf="parent" />

                <include
                    android:id="@+id/v_game_3"
                    layout="@layout/layout_share_poster_game_item"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="@id/iv_modify_game"
                    app:layout_constraintStart_toEndOf="@id/v_game_2"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:id="@+id/iv_modify_game"
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:layout_marginEnd="8dp"
                    android:rotationY="@integer/locale_mirror_flip"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    app:srcCompat="@drawable/common_go_ic" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>

    <com.adealink.weparty.commonui.widget.CommonTopBar
        android:id="@+id/top_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_top_bar_height"
        android:background="@color/white"
        app:layout_constraintTop_toTopOf="parent"
        app:top_bar_title="@string/share_friend_title" />


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/share_poster_shot_bottom_bg"
        android:paddingVertical="24dp"
        app:layout_constraintBottom_toBottomOf="parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_album"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="24dp"
            app:layout_constrainedWidth="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:itemCount="1"
            tools:layout_height="60dp"
            tools:listitem="@layout/layout_share_poster_photo_item" />

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_share"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:layout_marginHorizontal="16dp"
            android:layout_marginTop="16dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/rv_album"
            app:text="@string/share_share_poster"
            app:textColor="@color/white"
            app:textSize="16sp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>